CREATE view  [C6StagingPeriodicoImmobiliare].[SPB_CONTR_SINTESI_v]
as
select s.* 
from C6StagingPeriodicoImmobiliare.SPB_CONTR_SINTESI s 
left join C6StagingPeriodicoImmobiliare.APPO_CONTRATTI_LIMITER l
on l.rete = s.rete and s.codfis = l.cod_fiscale
where l.rete is not null or 0 = (select count(*) from C6StagingPeriodicoImmobiliare.APPO_CONTRATTI_LIMITER)